#include <msp430f249.h>

void main(void)
{
  unsigned int i;
  
  WDTCTL = WDTPW + WDTHOLD; // Stop WDT

  BCSCTL1 = CALBC1_1MHZ;                    // Set DCO
  DCOCTL = CALDCO_1MHZ;

  // turn on XT2 
  BCSCTL1 &= ~XT2OFF;  
   
  // set XT2 frequency range and XCAP bits
  BCSCTL3 |= XT2S_2 + XCAP_3;

  // Wait for xtal to stabilize
  do
  {
    IFG1 &= ~OFIFG;                           // Clear OSCFault flag
    for (i = 0x47FF; i > 0; i--);             // Time for flag to set
  }
  while ((IFG1 & OFIFG));                   // OSCFault flag still set?

  // use XT2 as MCLK and SMCLK
  BCSCTL2 |= SELM_2 + SELS;
  // use XT2 as MCLK and DCO as SMCLK
  //BCSCTL2 |= SELM_2;

  // output ACLK, MCLK, SMCLK
  P5SEL |= BIT4 + BIT5 + BIT6;
  P5DIR |= BIT4 + BIT5 + BIT6;

  // set P3.5 as output
  P3DIR |= BIT5;
  P3OUT &= ~BIT5;

  IE1 |= OFIE;                              // Enable osc fault interrupt

  while(1)
  {
    P3OUT |= BIT5;
    
    BCSCTL2 &= ~SELS;
    
    __delay_cycles(10000);

    BCSCTL2 |= SELS;

    P3OUT &= ~BIT5;

    __delay_cycles(10000);
  }
}

